org.h2.dev.util

## Class ThreadDumpCleaner

- java.lang.Object
- - org.h2.dev.util.ThreadDumpCleaner

    public class ThreadDumpCleaner
    extends java.lang.Object

A tool that removes uninteresting lines from stack traces.

### Constructor Summary

Constructors
Constructor and Description
`ThreadDumpCleaner()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` Run the tool.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadDumpCleaner

    public ThreadDumpCleaner()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.io.IOException

Run the tool.

Parameters:
  `args` - the command line arguments
Throws:
  `java.io.IOException`